Subject: Re: bug#38675: 27.0.50; define-obsolete-face-alias definition does not match documentation

From: James Felix Black <[email-masked]>
Date: Sat, 21 Dec 2019 17:47:45 -0500

I’m easy either way. Do the usage and docs match the other “define-obsolete-“ macros?

> On Dec 21, 2019, at 04:38, Eli Zaretskii <[email-masked]> wrote:
> 
> 
>> 
>> From: James Felix Black <[email-masked]>
>> Date: Thu, 19 Dec 2019 12:49:01 -0500
>> 
>> This was discovered in `haskell-mode` [1]. The documentation of  define-obsolete-face-alias claims that `when` is optional, but the macro definition does not follow the docs. This patch fixes the problem.
> 
> I'm not sure this isn't a confusion caused by ambiguous wording of the
> doc string.  I think by "if provided" it means that WHEN can be nil.
> The ELisp manual, btw, doesn't have this problem.
> 
> Would it be okay to modify the doc string instead to say WHEN is
> required, but can be nil?
> 
> Thanks.